<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project10</name>
  <program_name>project10</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>main_widget</name>
  <visible>False</visible>
  <title>GDAM Song Database Builder</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkHBox</class>
    <name>m</name>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkVBox</class>
      <name>vbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkHBox</class>
	<name>hbox2</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox4</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox4</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkVBox</class>
	      <name>vbox2</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>

	      <widget>
		<class>GtkRadioButton</class>
		<name>radiobutton1</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>toggled</name>
		  <handler>gdam_song_database_maker_find_is_name</handler>
		  <last_modification_time>Tue, 01 Feb 2000 07:22:51 GMT</last_modification_time>
		</signal>
		<label>Name</label>
		<active>False</active>
		<draw_indicator>True</draw_indicator>
		<group>name_or_regex</group>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkRadioButton</class>
		<name>radiobutton2</name>
		<can_focus>True</can_focus>
		<label>Regular Expression</label>
		<active>True</active>
		<draw_indicator>True</draw_indicator>
		<group>name_or_regex</group>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkEntry</class>
	      <name>entry1</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_song_database_maker_expression_entry</handler>
		<last_modification_time>Tue, 01 Feb 2000 07:28:52 GMT</last_modification_time>
	      </signal>
	      <editable>True</editable>
	      <text_visible>True</text_visible>
	      <text_max_length>0</text_max_length>
	      <text>.*\.mp3</text>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox5</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkButton</class>
	      <name>button3</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_song_database_maker_startpath_dialog</handler>
		<last_modification_time>Thu, 06 Dec 2001 15:50:39 GMT</last_modification_time>
	      </signal>
	      <label>Starting path...</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkEntry</class>
	      <name>entry2</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_song_database_maker_find_path_entry</handler>
		<last_modification_time>Tue, 01 Feb 2000 07:29:17 GMT</last_modification_time>
	      </signal>
	      <editable>True</editable>
	      <text_visible>True</text_visible>
	      <text_max_length>0</text_max_length>
	      <text>/</text>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkVSeparator</class>
	  <name>vseparator1</name>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkCheckButton</class>
	    <name>checkbutton1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_song_database_maker_traverse_mount_point</handler>
	      <last_modification_time>Tue, 01 Feb 2000 07:26:07 GMT</last_modification_time>
	    </signal>
	    <label>Traverse Mount Points</label>
	    <active>True</active>
	    <draw_indicator>True</draw_indicator>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkCheckButton</class>
	    <name>checkbutton2</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_song_database_maker_traverse_symlink</handler>
	      <last_modification_time>Tue, 01 Feb 2000 07:26:53 GMT</last_modification_time>
	    </signal>
	    <label>Follow Symbolic Links</label>
	    <active>True</active>
	    <draw_indicator>True</draw_indicator>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkCheckButton</class>
	    <name>checkbutton1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_song_database_maker_find_inverted</handler>
	      <last_modification_time>Tue, 01 Feb 2000 07:26:07 GMT</last_modification_time>
	    </signal>
	    <label>Invert Find</label>
	    <active>False</active>
	    <draw_indicator>True</draw_indicator>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_database_maker_run_find</handler>
	    <last_modification_time>Tue, 01 Feb 2000 07:27:16 GMT</last_modification_time>
	  </signal>
	  <label>Run Find...</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHSeparator</class>
	<name>hseparator1</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox3</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label1</name>
	  <label>Locate string:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry3</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_database_maker_locate_entry</handler>
	    <last_modification_time>Tue, 01 Feb 2000 07:28:21 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text>.mp3</text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>locate_button</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_database_maker_run_locate</handler>
	    <last_modification_time>Fri, 04 Feb 2000 04:24:46 GMT</last_modification_time>
	  </signal>
	  <label>Run Locate...</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHSeparator</class>
	<name>hseparator2</name>
	<child>
	  <padding>4</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox3</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label1</name>
	  <label>Arbitrary command:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEntry</class>
	  <name>entry3</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_song_database_maker_arbitrary_entry</handler>
	    <last_modification_time>Tue, 01 Feb 2000 07:28:21 GMT</last_modification_time>
	  </signal>
	  <editable>True</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text>.mp3</text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>arbitrary_button</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_song_database_maker_run_arbitrary</handler>
	    <last_modification_time>Fri, 04 Feb 2000 04:24:46 GMT</last_modification_time>
	  </signal>
	  <label>Run Arbitrary Command...</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkButton</class>
      <name>button2</name>
      <can_focus>True</can_focus>
      <signal>
	<name>clicked</name>
	<handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:dbmaker</handler>
	<last_modification_time>Tue, 01 Feb 2000 17:51:30 GMT</last_modification_time>
      </signal>
      <label>?</label>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>
    </widget>
  </widget>
</widget>

</GTK-Interface>
